rte_crypto_rsa_priv_key_qt(3)

NAME
rte_crypto_rsa_priv_key_qt

SYNOPSIS

#include <rte_crypto_asym.h>

  Data Fields

rte_crypto_uint p
rte_crypto_uint q
rte_crypto_uint dP
rte_crypto_uint dQ
rte_crypto_uint qInv

Detailed Description

Structure describing RSA private key in quintuple format. See PKCS V1.5 RSA Cryptography Standard.

Definition at line 271 of file rte_crypto_asym.h.

Field Documentation

  rte_crypto_uint p
the first factor

Definition at line 272 of file rte_crypto_asym.h.

  rte_crypto_uint q
the second factor

Definition at line 274 of file rte_crypto_asym.h.

  rte_crypto_uint dP
the first factor's CRT exponent

Definition at line 276 of file rte_crypto_asym.h.

  rte_crypto_uint dQ
the second's factor's CRT exponent

Definition at line 278 of file rte_crypto_asym.h.

  rte_crypto_uint qInv
the CRT coefficient

Definition at line 280 of file rte_crypto_asym.h.

Author

Generated automatically by Doxygen for DPDK from the source code.